=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20251023.0954) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 23 Oct 2025 09:54:52 +0000

ros-one-ackermann-steering-controller (0.22.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 22 May 2024 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Install headers of ackermann_steering_controller
  * Contributors: Jochen Sprickerhof, Martin Pecka

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.0-0jammy) jammy; urgency=high

  * Switch to hpp headers of pluginlib
  * std::bind and placeholders instead of boost
  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Updated ackermann_steering_controller tests launch file to use robot_state_publisher rather than state_publisher which is no longer available in Noetic.
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter, Tony Baltovski

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 06 May 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.19.0-0jammy) jammy; urgency=high

  * Wait long enough for accumulator to be cleared
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.1-0jammy) jammy; urgency=high

  * Use version-agnostic FindBoost for headers
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.0-0jammy) jammy; urgency=high

  * Fix dependency on Boost
  * Clean dependencies of diff_drive_controller package
  * Remove (unneeded?) dependencies on rosunit and gtest
  * Format package.xml and CMakeLists.txt according to ros_control pkgs
  * Clean dependencies of ackermann_steering_controller pkg
  * Contributors: Mateus Amarante

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.17.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 12 May 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.1-0jammy) jammy; urgency=high

  * Remove gazebo_ros test dependency
  * Contributors: Bence Magyar

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.0-0jammy) jammy; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.1-0jammy) jammy; urgency=high

  * Fix test for ackermann_steering_controller
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Update null link pointer error message
  * removed cyclic debug output from ackermann_steering_bot
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Bence Magyar, Immanuel Martini, Mathias Lüdtke, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.3-0jammy) jammy; urgency=high

  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori
  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.1-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.1-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000


