=== debian/control ===
Source: ros-one-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Masaru Morita <p595201m@mail.kyutech.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, liburdfdom-dev, ros-one-catkin, ros-one-controller-interface, ros-one-diff-drive-controller, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, liburdfdom-dev, ros-one-controller-interface, ros-one-diff-drive-controller, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Description: Controller for a steer drive mobile base.
