## ros-one-ackermann-steering-controller 0.22.0-0jammy.20251207.2234

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20251207.2234) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 07 Dec 2025 22:34:24 +0000
