## ros-one-ackermann-steering-controller 0.22.0-0jammy.20260221.2128

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20260221.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 21 Feb 2026 21:28:39 +0000
