## ros-one-ackermann-steering-controller 0.22.0-0noble.20260221.2216

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0noble.20260221.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 21 Feb 2026 22:16:08 +0000
